postCustomersCustomer :: MonadHTTP m=> Textcustomer | Constraints: Maximum length of 5000
-> Maybe PostCustomersCustomerRequestBodyThe request body to send
-> ClientT m (Response PostCustomersCustomerResponse)Monadic computation which returns the result of the operation
POST /v1/customers/{customer}<p>Updates the specified customer by setting the values of the parameters passed. Any parameters not provided will be left unchanged. For example, if you pass the <strong>source</strong> parameter, that becomes the customer’s active source (e.g., a card) to be used for all charges in the future. When you update a customer to a new valid card source by passing the <strong>source</strong> parameter: for each of the customer’s current subscriptions, if the subscription bills automatically and is in the <code>past_due</code> state, then the latest open invoice for the subscription with automatic collection enabled will be retried. This retry will not count as an automatic retry, and will not affect the next regularly scheduled payment for the invoice. Changing the <strong>default_source</strong> for a customer will not trigger this behavior.</p>
<p>This request accepts mostly the same arguments as the customer creation call.</p>